### Method

# PapersDocument Annotation set_name

#### Declaration [src]

    gboolean
    pps_annotation_set_name (
      PpsAnnotation* annot,
      const gchar* name
    )

#### Description [src]

Set the name of `annot`. You can monitor changes of the annotation name by connecting to the notify::name signal on `annot`.

Sets property | `PapersDocument.Annotation:name`

#### Parameters

`name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` when the name has been changed, `FALSE` otherwise.